package cn.org.bjca.trust.android.imdemo.ui;

import android.os.Bundle;
import android.view.View;

import com.xuqm.base.common.ToolsHelper;
import com.xuqm.base.ui.BaseActivity;

import cn.org.bjca.trust.android.imdemo.R;
import cn.org.bjca.trust.android.imdemo.databinding.ActivityChatBinding;
import cn.org.bjca.trust.android.lib.im.SZYXImSdk;
import cn.org.bjca.trust.android.lib.im.kit.IMSDKCallback;

public class ChatActivity extends BaseActivity<ActivityChatBinding> {

    @Override
    public int getLayoutId() {
        return R.layout.activity_chat;
    }

    @Override
    public void initView(Bundle savedInstanceState) {
        super.initView(savedInstanceState);
        String userId = getIntent().getStringExtra("userId");
        String userName = getIntent().getStringExtra("userName");
        setTitleText(userName + "(" + userId + ")");
        getBaseBinding().baseToolbar.getToolbarMenu().setVisibility(View.VISIBLE);

        getBinding().btnSend.setOnClickListener(v -> {
            String msg = getBinding().et.getText().toString();
            if (!ToolsHelper.isNull(msg)) {
                SZYXImSdk.getInstance().sendMsgForTextToC(userId, "hello world", new IMSDKCallback() {
                    @Override
                    public void success() {
                        ToolsHelper.showMessage("发送消息成功");
                    }

                    @Override
                    public void failed(int code, String error) {
                        ToolsHelper.showMessage("发送消息失败" + error);
                    }
                });
            }
        });
    }
}