package cn.org.bjca.trust.android.imdemo.ui;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import com.xuqm.base.adapter.BasePagedAdapter;
import com.xuqm.base.adapter.CommonPagedAdapter;
import com.xuqm.base.adapter.ViewHolder;
import com.xuqm.base.ui.BaseListActivity;

import cn.org.bjca.trust.android.imdemo.R;
import cn.org.bjca.trust.android.imdemo.data.item.UserItem;
import cn.org.bjca.trust.android.imdemo.vm.FriendsVM;

public class FriendsActivity extends BaseListActivity<UserItem, FriendsVM> {
    @Override
    public void initView(Bundle savedInstanceState) {
        super.initView(savedInstanceState);
        setTitleText("好友列表");
        setConfirmText("添加好友", v -> {

        });
    }

    @Override
    public void itemClicked(View view, UserItem item, int position) {
        if (item.getUserId().equals("001")) {

        } else {
            Intent intent = new Intent(mContext, ChatActivity.class);
            intent.putExtra("userId", item.getUserId());
            intent.putExtra("userName", item.getNickName());
            startActivity(intent);
        }
    }

    @Override
    public BasePagedAdapter<UserItem> adapter() {
        return adapter;
    }

    private final CommonPagedAdapter<UserItem> adapter = new CommonPagedAdapter<UserItem>(R.layout.item_friends) {
        @Override
        protected void convert(ViewHolder holder, UserItem item, int position) {
            holder.setText(R.id.title, item.getNickName());
            holder.setImage(R.id.icon, item.getFaceUrl());
            holder.setText(R.id.des, item.getUserId());
            if (item.getUserId().equals("001"))
                holder.setBackgroundColor(R.id.root, 0x999999ff);
        }

    };

}
