package cn.org.bjca.trust.android.imdemo.ui;

import android.content.Intent;
import android.os.Bundle;

import androidx.recyclerview.widget.DividerItemDecoration;

import com.xuqm.base.adapter.BasePagedAdapter;
import com.xuqm.base.adapter.CommonPagedAdapter;
import com.xuqm.base.adapter.ViewHolder;
import com.xuqm.base.ui.BaseListFormLayoutActivity;

import cn.org.bjca.trust.android.imdemo.R;
import cn.org.bjca.trust.android.imdemo.data.item.MainItem;
import cn.org.bjca.trust.android.imdemo.databinding.ActivityMainBinding;
import cn.org.bjca.trust.android.imdemo.vm.MainVM;
import cn.org.bjca.trust.android.lib.im.SZYXImSdk;
import cn.org.bjca.trust.android.lib.im.kit.IMSDKCallback;

public class MainActivity extends BaseListFormLayoutActivity<MainItem, MainVM, ActivityMainBinding> {

    @Override
    public int getLayoutId() {
        return R.layout.activity_main;
    }

    @Override
    public void initView(Bundle savedInstanceState) {
        super.initView(savedInstanceState);
        showBack(false);
        setTitleText("工作台");
        setConfirmText("退出", v -> SZYXImSdk.getInstance().logout(new IMSDKCallback() {
            @Override
            public void success() {

            }

            @Override
            public void failed(int code, String error) {

            }
        }));

        getBinding().baseRecyclerView.addItemDecoration(new DividerItemDecoration(MainActivity.this, DividerItemDecoration.VERTICAL));

        adapter.setItemClickListener((view, item, position) -> {
            switch (item.getId()) {
                case 3:
//                    startActivity(new Intent(mContext, FriendsActivity.class));
                    break;
                case 4:
                    startActivity(new Intent(mContext, FriendsActivity.class));
                    break;
                case 5:
//                    startActivity(new Intent(mContext, FriendsActivity.class));
                    break;
            }
        });
        getBinding().baseRefreshLayout.setEnabled(false);

    }

    @Override
    public BasePagedAdapter<MainItem> adapter() {
        return adapter;
    }

    private final CommonPagedAdapter<MainItem> adapter = new CommonPagedAdapter<MainItem>(R.layout.item_main) {
        @Override
        protected void convert(ViewHolder holder, MainItem item, int position) {
            holder.setText(R.id.title, item.getName());
            holder.setText(R.id.des, item.getDes());
        }

    };

}